Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Filecache.cpp File Reference

`#include "ace/Filecache.h"`
`#include "ace/Object_Manager.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/ACE.h"`
`#include "ace/Guard_T.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_time.h"`
`#include "ace/OS_NS_unistd.h"`
`#include "ace/OS_NS_fcntl.h"`

Include dependency graph for Filecache.cpp:

## Defines
#define | R_MASK ACE_DEFAULT_OPEN_PERMS
#define | W_MASK 0
#define | READ_FLAGS
#define | WRITE_FLAGS
#define | ACE_Filecache_Hash ACE_Hash_Map_Manager_Ex<const ACE_TCHAR *, ACE_Filecache_Object *, ACE_Hash<const ACE_TCHAR *>, ACE_Equal_To<const ACE_TCHAR *>, ACE_Null_Mutex>
#define | ACE_Filecache_Hash_Entry ACE_Hash_Map_Entry<const ACE_TCHAR *, ACE_Filecache_Object *>

## Define Documentation

#define ACE_Filecache_Hash ACE_Hash_Map_Manager_Ex<const ACE_TCHAR *, ACE_Filecache_Object *, ACE_Hash<const ACE_TCHAR *>, ACE_Equal_To<const ACE_TCHAR *>, ACE_Null_Mutex>

#define ACE_Filecache_Hash_Entry ACE_Hash_Map_Entry<const ACE_TCHAR *, ACE_Filecache_Object *>

#define R_MASK ACE_DEFAULT_OPEN_PERMS

#define READ_FLAGS

| Value:
    (FILE_FLAG_SEQUENTIAL_SCAN | \
                        FILE_FLAG_OVERLAPPED | \
                        O_RDONLY)

#define W_MASK 0

#define WRITE_FLAGS

| Value:
    (FILE_FLAG_SEQUENTIAL_SCAN | \
                         FILE_FLAG_OVERLAPPED | \
                         O_RDWR | O_CREAT | O_TRUNC)